<ul class="Navigation">
    {# Menu Item Start #}
        {% for item in menu.items %}
            <li class="Navigation__item {{ item.classes|join(' ') }}">
                <a class="" href="{{ item.link }}">{{ item.title }}</a>

                {% if item.children %}
                    {{ _self.submenu(item.children, 'Navigation__subMenu') }}
                {% endif %}

            </li>
        {% endfor %}
    {# Menu Item End #}
</ul>

{% macro submenu(listItems, ulClass = 'Navigation__subMenu', depth = 0) %}
    <ul class="{{ ulClass }}">
        {% if depth >= 0 %}
           <button class="Button Button--no-style Navigation__subMenu__go-back">{{ _e('Wróć', 'starter') }}</button> 
        {% endif %}
        {% for item in listItems %}
            <li class="Navigation__subMenuItem {{ item.classes|join(' ') }}">
                <a class="Navigation__subMenuLink" href="{{ item.link }}">{{ item.title }}</a>

                {% if item.children %}
                    {{ _self.submenu(item.children, "Navigation__subMenu--depth-#{depth + 1 }", depth + 1 ) }} 
                {% endif %}
            </li>
        {% endfor %}
    </ul>
{% endmacro %}
